import React, { DetailedHTMLProps } from 'react';
import { IconProp } from '@fortawesome/fontawesome-svg-core';
declare type HtmlMenuButtonExternal = DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
interface MenuButtonExternalItemProps extends HtmlMenuButtonExternal {
    label: string;
    icon?: IconProp;
    navigationIcon?: IconProp;
    active?: boolean;
}
interface MenuButtonExternalProps extends HtmlMenuButtonExternal {
    title?: string;
    variant?: 'default' | 'primary';
    underlined?: boolean;
    items: Array<MenuButtonExternalItemProps>;
}
export declare const MenuButtonExternal: ({ title, variant, underlined, items, className, }: MenuButtonExternalProps) => JSX.Element;
export {};
